https://amentum.space/route/effective_doseEffective Dose is a radiation protection quantity defined by the International Commission on Radiological Protection (ICRP) and represents the stochastic health risk to the human body at low levels of radiation. It accounts for the different sensitivities of organs to ionising radiation, as well as the different effectiveness of various types of radiation. <br> <br> Use this endpoint if you need to estimate radiation exposures of personnel. <br> <br> This API can run in two modes: <br> <br> Either specify <br> <b>altitude</b>, <b>duration</b><br> for constant altitude calculations; <br> <br> Or specify <br> <b>initial_altitude</b>, <b>cruising_altitudes</b>, <b>climb_times</b>, <b>cruising_times</b>, <b>descent_time</b>, <b>final_altitude</b><br> to calculate dose accounting for a step climb. <br> <br> Note: the airport codes or coordinates (depending on which was specified), and the date in DD/MM/YYYY format, are echoed in the json response as strings.
The ICAO code or IATA code or latitude,longitude pair (in decimal degrees) of the origin airport.
The ICAO code or IATA code or latitude,longitude pair (in decimal degrees) of the destination airport.
Altitude (in km). The minimum is 0 m, the maximum is 20 km.
The flight duration in hours. The minimum is 0, the maximum is 20 hrs.
Initial altitude (in km). The minimum is 0 m, the maximum is 20 km.
Cruising altitudes (in km). The minimum is 0 m, the maximum is 20 km.
Climb times for each cruising altitude (hours).
Cruising times at each cruising altitude (hours).
Descent time from last cruising altitude to final altitude (hours).
Final altitude (in km).
Year in YYYY.
Month in MM.
Day in DD.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://amentum.space/route/effective_dose' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://amentum.space/route/effective_doseEffective Dose is a radiation protection quantity defined by the International Commission on Radiological Protection (ICRP) and represents the stochastic health risk to the human body at low levels of radiation. It accounts for the different sensitivities of organs to ionising radiation, as well as the different effectiveness of various types of radiation. <br> <br> Use this endpoint if you need to estimate radiation exposures of personnel. <br> <br> This API can run in two modes: <br> <br> Either specify <br> <b>altitude</b>, <b>duration</b><br> for constant altitude calculations; <br> <br> Or specify <br> <b>initial_altitude</b>, <b>cruising_altitudes</b>, <b>climb_times</b>, <b>cruising_times</b>, <b>descent_time</b>, <b>final_altitude</b><br> to calculate dose accounting for a step climb. <br> <br> Note: the airport codes or coordinates (depending on which was specified), and the date in DD/MM/YYYY format, are echoed in the json response as strings.
The ICAO code or IATA code or latitude,longitude pair (in decimal degrees) of the origin airport.
The ICAO code or IATA code or latitude,longitude pair (in decimal degrees) of the destination airport.
Altitude (in km). The minimum is 0 m, the maximum is 20 km.
The flight duration in hours. The minimum is 0, the maximum is 20 hrs.
Initial altitude (in km). The minimum is 0 m, the maximum is 20 km.
Cruising altitudes (in km). The minimum is 0 m, the maximum is 20 km.
Climb times for each cruising altitude (hours).
Cruising times at each cruising altitude (hours).
Descent time from last cruising altitude to final altitude (hours).
Final altitude (in km).
Year in YYYY.
Month in MM.
Day in DD.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://amentum.space/route/effective_dose' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}